from dataclasses import dataclass
from enum import Enum

from fastapi import Form


class FormatEnum(Enum):
    format_3gp = "3gp"
    format_aac = "aac"
    format_flv = "flv"
    format_m4a = "m4a"
    format_mp3 = "mp3"
    format_mp4 = "mp4"
    format_ogg = "ogg"


class MergeOutputFormatEnum(Enum):
    format_avi = "avi"
    format_flv = "flv"
    format_mkv = "mkv"
    format_mov = "mov"
    format_mp4 = "mp4"
    format_webm = "webm"

@dataclass
class SubmitIn:
    link: str = Form(...)
    format: FormatEnum = Form(...)
    merge_output_format: MergeOutputFormatEnum = Form(...)

